Skip to main content
X-Auth-Proxy-Config-Id
string
required
Your Auth Proxy config ID, found in Dashboard → AUTH. See Auth Proxy reference for setup.
userEmail
string
userEmail field
userPhoneNumber
string
userPhoneNumber field
userTag
string
userTag field
userName
string
userName field
organizationName
string
organizationName field
verificationToken
string
verificationToken field
apiKeys
array
required

A list of API Key parameters. This field, if not needed, should be an empty array in your request body.

authenticators
array
required

A list of Authenticator parameters. This field, if not needed, should be an empty array in your request body.

oauthProviders
array
required

A list of Oauth providers. This field, if not needed, should be an empty array in your request body.

wallet
object

wallet field

clientSignature
object

clientSignature field

A successful response returns the following fields:
organizationId
string
required
organizationId field
wallet
object
wallet field
userId
string
required
Root user ID created for this sub-organization
appProofs
array
A list of App Proofs generated by enclaves during activity execution, providing verifiable attestations of performed operations.
curl --request POST \
  --url https://authproxy.turnkey.com/v1/signup_v2 \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header "X-Auth-Proxy-Config-Id: <string> (see Authorizations)" \
  --data '{
    "userEmail": "<string>",
    "userPhoneNumber": "<string>",
    "userTag": "<string>",
    "userName": "<string>",
    "organizationName": "<string>",
    "verificationToken": "<string>",
    "apiKeys": [
        {
            "apiKeyName": "<string>",
            "publicKey": "<string>",
            "curveType": "<API_KEY_CURVE_P256>",
            "expirationSeconds": "<string>"
        }
    ],
    "authenticators": [
        {
            "authenticatorName": "<string>",
            "challenge": "<string>",
            "attestation": {
                "credentialId": "<string>",
                "clientDataJson": "<string>",
                "attestationObject": "<string>",
                "transports": [
                    "<AUTHENTICATOR_TRANSPORT_BLE>"
                ]
            }
        }
    ],
    "oauthProviders": [
        {
            "providerName": "<string>",
            "oidcToken": "<string>",
            "oidcClaims": {
                "iss": "<string>",
                "sub": "<string>",
                "aud": "<string>"
            }
        }
    ],
    "wallet": {
        "walletName": "<string>",
        "accounts": [
            {
                "curve": "<CURVE_SECP256K1>",
                "pathFormat": "<PATH_FORMAT_BIP32>",
                "path": "<string>",
                "addressFormat": "<ADDRESS_FORMAT_UNCOMPRESSED>"
            }
        ],
        "mnemonicLength": "<number>"
    },
    "clientSignature": {
        "publicKey": "<string>",
        "scheme": "<CLIENT_SIGNATURE_SCHEME_API_P256>",
        "message": "<string>",
        "signature": "<string>"
    }
}'
{
  "organizationId": "<string>",
  "wallet": {
    "walletId": "<string>",
    "addresses": [
      "<string>"
    ]
  },
  "userId": "<string>",
  "appProofs": [
    {
      "scheme": "<SIGNATURE_SCHEME_EPHEMERAL_KEY_P256>",
      "publicKey": "<string>",
      "proofPayload": "<string>",
      "signature": "<string>"
    }
  ]
}